%define gitdate	20160424

Name:		stopmotion
Version:	0.8.1
Release:	%mkrel -c %{gitdate} 1
Summary:	An application for creating stopmotion animations
Group:		Video/Editors and Converters
License:	GPLv2
URL:		http://linuxstopmotion.sourceforge.net/
# devel is now on SF git
# git clone git://git.code.sf.net/p/linuxstopmotion/code linuxstopmotion-code
# from commit: 875c7d139f91539b41cd73289233e9a4d3c40dad
# https://sourceforge.net/code-snapshots/git/l/li/linuxstopmotion/code.git/linuxstopmotion-code-875c7d139f91539b41cd73289233e9a4d3c40dad.zip
Source0:	%{name}-%{version}.git%{gitdate}.tar.xz
Patch0:		stopmotion-0.8.1-install.patch
BuildRequires:	libvorbis-devel
BuildRequires:	libxml2-devel
BuildRequires:	libtar-devel
BuildRequires:	qt4-devel
BuildRequires:	qt4-linguist

Requires:	vgrabbj

%description
Stopmotion is a free application for creating stop-motion animation movies.
The users will be able to create stop-motions from pictures imported from
a camera or from the harddrive, add sound effects and export the animation
to different video formats such as mpeg or avi.

%prep
%setup -q -n %{name}-%{version}.git%{gitdate}
%autopatch -p1

%build
%qmake_qt4

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README AUTHORS manual/
%license COPYING
%{_docdir}/%{name}/html/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Aug 15 2016 daviddavid <daviddavid> 0.8.1-0.20160424.1.mga6
+ Revision: 1046480
- new version: 0.8.1.git20160424
- add patch to fix install of manpage and svg icon
- use upstream svg icon
- fix License

* Wed Feb 17 2016 umeabot <umeabot> 0.6.2.git20121125-7.mga6
+ Revision: 962950
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 tv <tv> 0.6.2.git20121125-6.mga6
+ Revision: 894655
- fix build: exclude some doc

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2.git20121125-5.mga5
+ Revision: 748503
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2.git20121125-4.mga5
+ Revision: 689551
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.2.git20121125-3.mga4
+ Revision: 519253
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.6.2.git20121125-2.mga3
+ Revision: 383507
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 0.6.2.git20121125-1.mga3
+ Revision: 321901
- new SVG icon from Debian
- new build system
- new version from git
- fix rpm group

* Fri May 13 2011 dmorgan <dmorgan> 0.6.2-3.mga1
+ Revision: 97878
- imported package stopmotion

